<?php

/**
 * 	CHERRY CHECKOUT - PHP SDK
 * 	CherryCheckout\Auth
 *
 * 	author:			Alex Potot
 * 	last update:	2017-08-08
 * 	copyright:		Cherry Checkout SA
 * 	website:		https://www.cherrycheckout.com
 * 	support:		support@cherrycheckout.com
 * 	doc:			https://developers.cherrycheckout.com/en/sdk/php
 */

namespace CherryCheckout;

class Auth
{
	public static function hashKeys($publicKey, $privateKey, $timestamp)
	{
		return base64_encode(hash_hmac('sha256', $publicKey.$timestamp, $privateKey));
	}
}