<?php
/**
 * Created by Agence Net Design
 *
 * @category   CherryCheckout
 * @package    CherryCheckoutCore_Charity
 * @author     Agence Net Design (http://www.agencenetdesign.com/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class CherryCheckoutCore_Charity_Model_Cron
{
    public function processCron(){
        $collection = Mage::getModel('cco_charity/order')->getCollection();
        $collection->addFieldToFilter('updated_at',array('null' => true));
        $collection->getSelect()->order('entity_id');
        $collection->load();
        
        $_helper = Mage::helper('cco_charity/order');
        foreach($collection as $cco_order){
            $order = Mage::getModel('sales/order')->load($cco_order->getOrderId());
            if($order->getId()){
                $_helper->load($order->getStoreId());
                $_helper->sendOrderToApi($order,$cco_order);
            }   
        }
    }   
}
