<?php

class CherryCheckoutCore_Charity_Model_Resource_Order extends Mage_Core_Model_Resource_Db_Abstract
{
    
    /**
     * Initialize resource model
     *
     */
    protected function _construct()
    {
        $this->_init('cco_charity/order', 'entity_id');
    }
    
    protected function _beforeSave(Mage_Core_Model_Abstract $object)
    {
        if ($object->isObjectNew()) {
            $object->setCreatedAt($this->formatDate(true));
        }
        return $this;
    }
    
}