<?php
/**
 * Created by Agence Net Design
 *
 * @category   CherryCheckout
 * @package    CherryCheckoutCore_Charity
 * @author     Agence Net Design (http://www.agencenetdesign.com/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

$installer = $this;
$installer->startSetup();
$table = $installer->getConnection()
    ->newTable($installer->getTable('cco_charity/order'))
    ->addColumn('entity_id', Varien_Db_Ddl_Table::TYPE_INTEGER, null, array(
        'identity'  => TRUE,
        'nullable'  => FALSE,
        'primary'   => TRUE,
        ), 'Entity ID')
    ->addColumn('order_id', Varien_Db_Ddl_Table::TYPE_INTEGER, null, array(
        'nullable'  => TRUE,
        'default'   => NULL,
        ), 'Order ID')
    ->addColumn('cco_order', Varien_Db_Ddl_Table::TYPE_TEXT, 255, array(
        'nullable'  => true
        ), 'CCO Order')
    ->addColumn('cco_status', Varien_Db_Ddl_Table::TYPE_TEXT, 255, array(
        'nullable'  => true
        ), 'CCO Status')
    ->addColumn('created_at', Varien_Db_Ddl_Table::TYPE_DATETIME, null, array(
        'nullable'  => FALSE,
        ), 'Creation Date')
    ->addColumn('updated_at', Varien_Db_Ddl_Table::TYPE_DATETIME, null, array(
        'nullable'  => TRUE,
        ), 'Update Date')   
     ->addIndex($installer->getIdxName('cco_charity/order', array('order_id')),
        array('order_id'))
    ->setComment('CherryCheckout Charity Orders');
$installer->getConnection()->createTable($table);
$installer->endSetup(); 